aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Hans Peter Freyther <holger@moiji-mobile.com>2017-08-25 18:31:44 +0800
committerNeels Hofmeyr <nhofmeyr@sysmocom.de>2017-11-10 16:43:06 +0000
commit9e6db799d5d39d0fa92f37c746d39e5a1c6d0000 (patch)
treef83c16cdb1aff9030f0e2283a8238b3ffc14a089
parentadc35d0e69bc69e8ef861e22e741ad2cd35119ff (diff)
jenkins: Follow the convention and create a jenkins.sh as well
Instead of modifying the job on Jenkins, let's do it like in our other projects. Create the diretcory if it doesn't exist and use git pull origin for the Debian9 system. Change-Id: I0ecdc02e3271fe09980f370167277370c599fcfa
-rwxr-xr-xcontrib/jenkins.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..eb079a2
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+cd ~/osmo-ci || (cd ~/ && git clone git://git.osmocom.org/osmo-ci && cd osmo-ci)
+git rev-parse HEAD
+git status
+
+git fetch && git checkout -f -B master origin/master
+
+git rev-parse HEAD
+git status